package com.ruoyi.buyerapi.mapper;

import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerFileInfo;

/**
 * 通用文件关联信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
public interface BuyerFileInfoMapper 
{
    /**
     * 查询通用文件关联信息
     * 
     * @param id 通用文件关联信息主键
     * @return 通用文件关联信息
     */
    public BuyerFileInfo selectBuyerFileInfoById(String id);

    /**
     * 查询通用文件关联信息
     *
     * @param linKId 通用文件关联信息主键
     * @return 通用文件关联信息
     */
    public List<BuyerFileInfo> selectBuyerFileInfoByLinkId(String linKId);

    /**
     * 查询通用文件关联信息列表
     * 
     * @param buyerFileInfo 通用文件关联信息
     * @return 通用文件关联信息集合
     */
    public List<BuyerFileInfo> selectBuyerFileInfoList(BuyerFileInfo buyerFileInfo);

    /**
     * 新增通用文件关联信息
     * 
     * @param buyerFileInfo 通用文件关联信息
     * @return 结果
     */
    public int insertBuyerFileInfo(BuyerFileInfo buyerFileInfo);

    /**
     * 批量新增通用文件关联信息
     *
     * @param list 通用文件关联信息
     * @return 结果
     */
    public int batchInsertBuyerFileInfo(List<BuyerFileInfo> list);



    /**
     * 修改通用文件关联信息
     * 
     * @param buyerFileInfo 通用文件关联信息
     * @return 结果
     */
    public int updateBuyerFileInfo(BuyerFileInfo buyerFileInfo);

    /**
     * 删除通用文件关联信息
     * 
     * @param id 通用文件关联信息主键
     * @return 结果
     */
    public int deleteBuyerFileInfoById(String id);

    /**
     * 删除通用文件关联信息
     *
     * @param linkId 通用文件关联信息主键
     * @return 结果
     */
    public int deleteBuyerFileInfoByLinkId(String linkId);

    /**
     * 批量删除通用文件关联信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuyerFileInfoByIds(String[] ids);

}
